        character*24 fdate,cc*25,f1*48,ff(99),cf,a1*12,a2*12,b1*12,b2*12
	character*8  mach(99)
	character*16 name(99),c1,c2
	byte bf(24)
	equivalence (cf,bf)
	open(1,file='/usr/bin/count.dat',status='old')
	m=0
3	read(1,'(a)',end=4)f1
	m=m+1
	mach(m)=f1(1:8)
	name(m)=f1(12:27)
c	write(*,'(2a)')mach(m),name(m)
	goto 3
4	close(1)
	
        cc=fdate()
        if(cc(9:9).eq.' ')cc(9:9)='0'
        f1='/var/log/account/account.'//cc(5:7)//cc(9:10)
        open(1,file=f1,status='old')
        write(*,'(/3a/)')'            ******  ',cc,'  ******'
	i=0
10      i=i+1
        read(1,'(a)',end=100)cf
	do 11 j=1,24
11	if(bf(i).le.9)bf(i)=32
	ff(i)=cf
        goto 10
100     close(1)
	n=i-1
	if(iargc().ge.1)then
	  call getarg(1,f1)
	  read(f1(1:),*)n
	endif
	do 20 i=1,n/2
	read(ff(i)(1:),*)a1,a2
	read(ff(i+n/2)(1:),*)b1,b2
	call find(a1,mach,name,m,c1)
	call find(b1,mach,name,m,c2)
	write(*,'(8a)')' ',c1,a1,a2,'  ',c2,b1,b2(1:lnblnk(b2))
20	continue
        end                  

	subroutine find(a,mach,name,m,c)
	character*8 mach(99),a
	character*16 name(99),c
	c='                '
	do 10 i=1,m
	if(mach(i).eq.a)goto 20
10	continue
	return
20	c=name(i)
	end	
